import { useConfigStore } from '@/stores/config'
import quanjing from '@/assets/images/usercenter/quanjings-icon.png'
import quanjingEn from '@/assets/images/usercenter/logo_4d_pano.png'
import look from '@/assets/images/usercenter/look-icon.png'
import lookEn from '@/assets/images/usercenter/logo_li-stream.png'
import sketch from '@/assets/images/usercenter/sketch-icon.png'
import sketchEn from '@/assets/images/usercenter/logo_4d_sketch.png'
import sxz from '@/assets/images/usercenter/sxz-icon.png'
import sxzEn from '@/assets/images/usercenter/logo_ai_staging.png'
import kanzhan4D from '@/assets/images/usercenter/old-kanzhan.png'
import kandian from '@/assets/images/usercenter/kandian.png'
import kanzhan from '@/assets/images/usercenter/kanfang.png'
import kanzhan4DIcon from '@/assets/images/usercenter/wechat.png'
import kanzhan4DQr from '@/assets/images/usercenter/old-kanzhan-qr.png'
import kandianQr from '@/assets/images/usercenter/kandian-qr.jpg'
import kanzhanQr from '@/assets/images/usercenter/kanfang-qr.jpg'
export const toolsList = (t:any) => {
  const ConfigStore = useConfigStore()

  return [{
    img: quanjing,
    enimg: quanjingEn,
    name: t('manage.appProduct.quanjing.name'),
    desc: t('manage.appProduct.quanjing.desc'),
    link: '/panorama/material.html'
  },{
    img: look,
    enimg: lookEn,
    name: t('manage.appProduct.look.name'),
    desc: t('manage.appProduct.look.desc'),
    link: '/livestream-back/index.html'
  },
  {
    img: sketch,
    enimg: sketchEn,
    name: t('manage.appProduct.sketch.name'),
    desc: t('manage.appProduct.sketch.desc'),
    link: 'https://sk.4dkankan.com'
  },
  {
    img: sxz,
    enimg: sxzEn,
    name: t('manage.appProduct.sxz.name'),
    desc: t('manage.appProduct.sxz.desc'),
    link: ConfigStore.isTest ? 'https://testsxz.4dkankan.com' : 'https://sxz.4dkankan.com'

  }]
}

export const serviceList = (t:any) => {
  return [{
    img: kanzhan4D,
    name: t('manage.appProduct.kanzhan4D.name'),
    desc: t('manage.appProduct.kanzhan4D.desc'),
    channels: [
      {
        icon: kanzhan4DIcon,
        name: t('manage.miniExe'),
        qrCode: kanzhan4DQr
      }
    ]
  },
  {
    img: kandian,
    name: t('manage.appProduct.kandian.name'),
    desc: t('manage.appProduct.kandian.desc'),
    channels: [
      {
        icon: kanzhan4DIcon,
        name: t('manage.miniExe'),
        qrCode: kandianQr
      }
    ]
  },
  {
    img: kanzhan,
    name: t('manage.appProduct.kanzhan.name'),
    desc: t('manage.appProduct.kanzhan.desc'),
    channels: [
      {
        icon: kanzhan4DIcon,
        name: t('manage.miniExe'),
        qrCode: kanzhanQr
      }
    ]
  }]
}